# Waitlisted Contacts

Waitlisted Contacts

## Creates a new waitlisted contact record that does not already exist.

 - [POST /waitlistedContacts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlisted-contacts/createwaitlistedcontact.md): This method will auto-generate an ID and create a new waitlisted contact. If an ID is specified for the waitlisted contact, an error will be thrown.

## Execute Batch Operations

 - [POST /waitlistedContacts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlisted-contacts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

## Returns a list of records with the specified contact_id

 - [GET /waitlistedContacts/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlisted-contacts/listwaitlistedeventsbycontactid.md): Returns a list of records with the specified contact_id

## Returns a list of records with the specified event_id

 - [GET /waitlistedContacts/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlisted-contacts/listcontactsbyeventid.md): Returns a list of records with the specified event_id

## Returns a list of records with the specified event_contact_id

 - [GET /waitlistedContacts/{tenantId}/eventContact/{event_id}/{contact_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlisted-contacts/listcontactsbyeventcontactid.md): Returns a list of records with the specified event_contact_id

## Returns a list of records with the specified function_id

 - [GET /waitlistedContacts/{tenantId}/function/{function_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlisted-contacts/listcontactsbyfunctionid.md): Returns a list of records with the specified function_id

## Preview Notification

 - [POST /waitlistedContacts/{tenantId}/previewNotification](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlisted-contacts/previewnotification.md): Sends out a preview of the gift receipt email

## Returns a list of records with the specified session_id

 - [GET /waitlistedContacts/{tenantId}/session/{session_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlisted-contacts/listcontactsbysessionid.md): Returns a list of records with the specified session_id

## Returns a waitlisted contact from the system by its ID.

 - [DELETE /waitlistedContacts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlisted-contacts/deletewaitlistedcontact.md): This method will delete a waitlisted contact with the specified ID.

## Returns a waitlisted contact from the system by its ID.

 - [GET /waitlistedContacts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlisted-contacts/getwaitlistedcontact.md): This method will look up a waitlisted contact by the specified ID and return it back.

## Partially updates a waitlisted contact with the specified ID.

 - [PATCH /waitlistedContacts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlisted-contacts/patchwaitlistedcontact.md): This method will patch an existing waitlisted contact with the specified ID, using the HTTP PATCH specification.

## Updates a waitlisted contact with the specified ID.

 - [PUT /waitlistedContacts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlisted-contacts/updatewaitlistedcontact.md): This method will update an existing waitlisted contact with the specified ID.

